<% . /usr/local/lib/cgi/haserl.sh ; check_instances Flexa_home.cgi %>
<% . /lib/config/functions.sh
VERSION=$(cat /barix/info/VERSION)
%>

<html lang="en_US">
<head>
    <title>Flexa Home</title>
    <meta http-equiv="Content-type" content="text/html;charset=UTF-8">
    <link href="/theme/css/main.css?v=<% echo -n $VERSION %>" rel="stylesheet" type="text/css">
    <script type="text/javascript" src="/javascript/common-tools.js?v=<% echo -n $VERSION %>"></script>
    <script type="text/javascript" src="/javascript/flexa-home.js?v=<% echo -n $VERSION %>"></script>

    <% [ ! -f /usr/local/www/current/app/javascript/app_home.js ] && echo -n '<!-- ' %>
    <script type="text/javascript" src="/app/javascript/app_home.js?v=<% echo -n $VERSION %>"></script>
    <% [ ! -f /usr/local/www/current/app/javascript/app_home.js ] && echo -n ' -->' %>

</head>

<body onload="commonToolsIncludeHTML();startStatusPolling();">

    <h2>Flexa Home</h2>

    <% [ ! -f /usr/local/www/current/app/cgi-bin/app_home_top.cgi ] && echo -n '<!-- ' %>
    <div include-html="/app/cgi-bin/app_home_top.cgi"></div>
    <% [ ! -f /usr/local/www/current/app/cgi-bin/app_home_top.cgi ] && echo -n ' -->' %>

    <h3>Device Status</h3>
    <div class="section1">
        <table class="labelValue">
            <colgroup>
                <col class="label">
                <col class="value">
            </colgroup>
            <tbody>
                <tr>
                    <td class="label">Registration ID</td>
                    <td class="value value2" id="regid"><% cfg_print_param flexa_agent.registry.regid%></td>
                </tr>
                <tr>
                    <td class="label">Service URL</td>
                    <td class="value value2" id="service_url"><% cfg_print_param flexa_agent.service.service_url%></td>
                </tr>
                <tr>
                    <td class="label">Package Version</td>
                    <td class="value value2" id="package_version"><% cfg_print_param flexa_agent.service.package_version%></td>
                </tr>
                <tr>
                    <td class="label">Application Status</td>
                    <td class="value value2" id=player_state></td>
                </tr>
            </tbody>
        </table>
    </div>

    <h3>Flexa Application</h3>
    <div class="section1">
        <table class="flexa-service">
            <colgroup>
                <col class="label">
                <col class="value">
            </colgroup>
            <tbody>
                <tr>
                    <td class="label">
                    </td>
                    <td class="value">
                        <button class="red" onclick="sendSingleCommand('app_stop=1')">Stop App</button>
                        <button class="green" onclick="sendSingleCommand('app_start=1')">Start App</button>
                        <button value="Sync" onclick="sendSingleCommand('reconnect=1')">Sync</button>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <% [ ! -f /usr/local/www/current/app/cgi-bin/app_home_bottom.cgi ] && echo -n '<!-- ' %>
    <div include-html="/app/cgi-bin/app_home_bottom.cgi?v=<% echo -n $VERSION %>"></div>
    <% [ ! -f /usr/local/www/current/app/cgi-bin/app_home_bottom.cgi ] && echo -n ' -->' %>

    <% # A hack to send GET commands to backend %>
    <img class="send-cmd-img" name="senddataimg" src="">

</body>
</html>
